curl -X GET "https://api-integration.ollang.com/integration/orders/figma/60b8d6f1e1b9b1d8c6c0d8e3/status" \
-H "X-Api-Key: <your-api-key>"
const orderId = "60b8d6f1e1b9b1d8c6c0d8e3";
const response = await fetch(
`https://api-integration.ollang.com/integration/orders/figma/${orderId}/status`,
{
headers: {
"X-Api-Key": "<your-api-key>",
},
}
);
const status = await response.json();
console.log(status);
import requests
order_id = "60b8d6f1e1b9b1d8c6c0d8e3"
headers = {
'X-Api-Key': '<your-api-key>'
}
response = requests.get(
f'https://api-integration.ollang.com/integration/orders/figma/{order_id}/status',
headers=headers
)
status = response.json()
print(status)
{
"id": "60b8d6f1e1b9b1d8c6c0d8e3",
"status": "ongoing",
"targetLanguage": "fr",
"createdAt": "2026-08-19T10:30:00.000Z",
"completedAt": null,
"orderName": "My Design → FR",
"reviewInfo": null
}
{
"id": "60b8d6f1e1b9b1d8c6c0d8e4",
"status": "review",
"targetLanguage": "de",
"createdAt": "2026-08-19T10:30:00.000Z",
"completedAt": null,
"orderName": "My Design → DE",
"reviewInfo": {
"teamTagName": "Medical Review",
"teamTagColor": "#FF5733",
"reviewType": "assignment"
}
}
{
"id": "60b8d6f1e1b9b1d8c6c0d8e5",
"status": "completed",
"targetLanguage": "tr",
"createdAt": "2026-08-19T10:30:00.000Z",
"completedAt": "2026-08-19T11:45:00.000Z",
"orderName": "My Design → TR",
"reviewInfo": null
}
{
"statusCode": 404,
"message": "Order not found"
}
Ollang API Reference
Get Figma Order Status
Get the current status of a Figma translation order including review info
GET
/
integration
/
orders
/
figma
/
{orderId}
/
status
curl -X GET "https://api-integration.ollang.com/integration/orders/figma/60b8d6f1e1b9b1d8c6c0d8e3/status" \
-H "X-Api-Key: <your-api-key>"
const orderId = "60b8d6f1e1b9b1d8c6c0d8e3";
const response = await fetch(
`https://api-integration.ollang.com/integration/orders/figma/${orderId}/status`,
{
headers: {
"X-Api-Key": "<your-api-key>",
},
}
);
const status = await response.json();
console.log(status);
import requests
order_id = "60b8d6f1e1b9b1d8c6c0d8e3"
headers = {
'X-Api-Key': '<your-api-key>'
}
response = requests.get(
f'https://api-integration.ollang.com/integration/orders/figma/{order_id}/status',
headers=headers
)
status = response.json()
print(status)
{
"id": "60b8d6f1e1b9b1d8c6c0d8e3",
"status": "ongoing",
"targetLanguage": "fr",
"createdAt": "2026-08-19T10:30:00.000Z",
"completedAt": null,
"orderName": "My Design → FR",
"reviewInfo": null
}
{
"id": "60b8d6f1e1b9b1d8c6c0d8e4",
"status": "review",
"targetLanguage": "de",
"createdAt": "2026-08-19T10:30:00.000Z",
"completedAt": null,
"orderName": "My Design → DE",
"reviewInfo": {
"teamTagName": "Medical Review",
"teamTagColor": "#FF5733",
"reviewType": "assignment"
}
}
{
"id": "60b8d6f1e1b9b1d8c6c0d8e5",
"status": "completed",
"targetLanguage": "tr",
"createdAt": "2026-08-19T10:30:00.000Z",
"completedAt": "2026-08-19T11:45:00.000Z",
"orderName": "My Design → TR",
"reviewInfo": null
}
{
"statusCode": 404,
"message": "Order not found"
}
Retrieve the current status of a specific Figma translation order. When the order is at a review gate, additional information about the reviewing team is included.
curl -X GET "https://api-integration.ollang.com/integration/orders/figma/60b8d6f1e1b9b1d8c6c0d8e3/status" \
-H "X-Api-Key: <your-api-key>"
const orderId = "60b8d6f1e1b9b1d8c6c0d8e3";
const response = await fetch(
`https://api-integration.ollang.com/integration/orders/figma/${orderId}/status`,
{
headers: {
"X-Api-Key": "<your-api-key>",
},
}
);
const status = await response.json();
console.log(status);
import requests
order_id = "60b8d6f1e1b9b1d8c6c0d8e3"
headers = {
'X-Api-Key': '<your-api-key>'
}
response = requests.get(
f'https://api-integration.ollang.com/integration/orders/figma/{order_id}/status',
headers=headers
)
status = response.json()
print(status)
Authorizations
This endpoint requires API key authentication. Include your API key in the request header:- Header name:
X-Api-Key - Header value: Your API key from the Ollang dashboard
Path Parameters
string
required
The unique identifier of the order.
Response
string
The unique order identifier.
string
Current order status:
ongoing, review, waitingForApprove, completed, delivered, pending, revision.string
The target language code for this order.
string
ISO 8601 timestamp of when the order was created.
string
ISO 8601 timestamp of when the order was completed/delivered.
null if not yet completed.string
The display name of the order.
object
{
"id": "60b8d6f1e1b9b1d8c6c0d8e3",
"status": "ongoing",
"targetLanguage": "fr",
"createdAt": "2026-08-19T10:30:00.000Z",
"completedAt": null,
"orderName": "My Design → FR",
"reviewInfo": null
}
{
"id": "60b8d6f1e1b9b1d8c6c0d8e4",
"status": "review",
"targetLanguage": "de",
"createdAt": "2026-08-19T10:30:00.000Z",
"completedAt": null,
"orderName": "My Design → DE",
"reviewInfo": {
"teamTagName": "Medical Review",
"teamTagColor": "#FF5733",
"reviewType": "assignment"
}
}
{
"id": "60b8d6f1e1b9b1d8c6c0d8e5",
"status": "completed",
"targetLanguage": "tr",
"createdAt": "2026-08-19T10:30:00.000Z",
"completedAt": "2026-08-19T11:45:00.000Z",
"orderName": "My Design → TR",
"reviewInfo": null
}
{
"statusCode": 404,
"message": "Order not found"
}
Was this page helpful?